<template>
  <div id="app">
    <div class="c-nav">
      <router-link to="/r-home">Vue-Router</router-link> |
      <router-link to="/v-news">Vuex</router-link>
    </div>

    <!-- Именованное представление -  -->
    <router-view name="addNav" />

    <!-- router-view - компонент для отображения компонента совпавшего маршрута -->
    <transition name="fade" mode="out-in">
      <router-view/>
    </transition>
  </div>
</template>


<style lang="sass">
#app
  font-family: 'Avenir', Helvetica, Arial, sans-serif
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale
  text-align: center
  color: #2c3e50


.c-nav
  padding: 30px

  a
    font-weight: bold
    color: #2c3e50

    &.router-link-exact-active
      color: #42b983


.fade-enter-active, .fade-leave-active
  transition: opacity .5s

.fade-enter, .fade-leave-to
  opacity: 0

</style>
